
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>远离 Docker 的五大陷阱 / iVAN</title>

    <meta name="description" content="远离 Docker 的五大陷阱 Docker在广大开发人员和行业专业人士当中仍然是个热门话题.先简要介绍一下Docker的功能:它作为一个容器系统来运行,拿来运行软件应用程序所需的构建模板(代码.运行时环境.系统工具和系统库)后,将它们包装成可以在任何服务器上执行的小巧程序包.Docker的优点在于,能够让在一台服务器上运行的应用程序实例数量比使用虚拟机这种方法多出两三倍.就未来的应用开发而言,这是一种大有前景的工具,但是即便Docker已取得了令人难以置信的进步,它依然存在诸多缺点.不妨看一下Docker的五大陷阱: 1. ">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">远离 Docker 的五大陷阱</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>Docker在广大开发人员和行业专业人士当中仍然是个热门话题。先简要介绍一下Docker的功能：它作为一个容器系统来运行，拿来运行软件应用程序所需的构建模板(代码、运行时环境、系统工具和系统库)后，将它们包装成可以在任何服务器上执行的小巧程序包。Docker的优点在于，能够让在一台服务器上运行的应用程序实例数量比使用虚拟机这种方法多出两三倍。就未来的应用开发而言，这是一种大有前景的工具，但是即便Docker已取得了令人难以置信的进步，它依然存在诸多缺点。不妨看一下Docker的五大陷阱：</p>
<p><a href="http://s6.51cto.com/wyfs02/M02/72/29/wKioL1XedMGREvMcAAIcsV-sCfQ653.jpg-wh_651x-s_3108908457.jpg" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczYuNTFjdG8uY29tL3d5ZnMwMi9NMDIvNzIvMjkvd0tpb0wxWGVkTUdSRXZNY0FBSWNzVi1zQ2ZRNjUzLmpwZy13aF82NTF4LXNfMzEwODkwODQ1Ny5qcGc=.jpg"></a></p>
<p>1.<strong> 多个Docker主机上的容器之间的联网有待加强</strong></p>
<p>Docker公司首席执行官Solomon Hykes在LinuxCon大会上亲口说了这番话：Docker缺少容器之间的高层次联网功能。问题的一方面在于，Docker最佳实践并不鼓励在一个容器中运行多个服务;而这意味着与其他容器进行联系显得至关重要。在大规模环境下，如果容器需要与可能不在同一个Docker主机上的其他容器进行联系，这可能成为一大问题。由于许多应用程序出于安全和功能的考量而需要特定的联网环境，试图解决这个大规模问题时，Docker的原生联网功能多少受到了限制。</p>
<p>这个联网问题的另一个方面是，Docker缺少原生服务发现功能。由于应用程序和服务可能有众多广泛的组件，如果我们谈论大规模应用程序，服务发现功能变得必不可少。Docker社区在处理这个问题，一个办法就是实施etcd和skydns。</p>
<p>Docker 1.7推出了容器网络管理项目libnetwork;虽然它仍处于早期阶段，但是有望为解决原生Docker实施的网络难题提供一种方案。此外，已成立了Weave等第三方项目，扩展Docker的网络功能，但是这只不过给旨在简化开发、让开发应用程序和复杂更容易的软件增添了复杂性。</p>
<p><strong>2. 规模扩展</strong></p>
<p>对大多数初创企业而言，规模在一开始不是个问题。实际上，许多公司可能根本不需要好多台服务器来运行应用程序。然而，如果公司确实需要好多台服务器运行应用程序，构建Docker集群并非易事。许多项目围绕这个主题而日渐发展，包括Docker Swarm，Docker拿出的这个方案旨在将容器工作负载调度到Docker机器集群上。其主要问题是，Docker Swarm还没有准备好用于生产环境;对于那些现在就想开始构建Docker集群的公司而言，它们目前的选择很有限。</p>
<p>准备好用于生产环境的一种选择就是谷歌设立的项目：Kubernetes。其他选择基于Apache Mesos，或者以集群为中心的Linux发行版(比如CoreOS)。这些解决方案有一个共同点：安装架设起来并不容易。谷歌可以帮助你：你可以在谷歌计算引擎服务(Google Compute Engine)上轻松构建Kubernetes集群，但是那些想要构建专用Docker集群的企业客户又该如何是好?有一件事是肯定的，那就是构建Docker集群需要更容易些，围绕这方面的服务肯定会迅速涌现。</p>
<p><strong>3. 安全</strong></p>
<p>人们尚未就容器有多安全达成多大的一致，这本身就是个安全问题。相比虚拟机，容器提供的隔离和安全机制较弱。Docker的安全说明文档声称：</p>
<p>使用Docker运行容器(及应用程序)意味着要运行Docker守护进程。该守护进程目前需要根权限。</p>
<p>Docker需要访问根才能正常运行，而这意味着万一哪里出了岔子，有人大搞破坏的可能性会很大。为此，Docker给出的办法就是限制Docker只能被“可信用户”访问，但大家都知道，连可信用户有时也会设置安全性很差的密码。用户很容易做一些靠不住的事情，因为只要其中一个薄弱的密码被破解，主机上的所有容器就会遭殃。</p>
<p>虽然Docker能够将底层主机的许多方面与容器中运行的应用程序隔离开来，但这种隔离不如虚拟机来得强大。</p>
<p>NCR公司的安全专家Lenny Zeltzer强调了安全方面的差异：虚拟机在虚拟机管理程序上运行独立的操作系统实例，并不与底层操作系统共享内核。最终，只要黑客获得了容器操作系统的根访问权，随后就能够访问在Docker主机上以根用户身份运行的Docker守护进程――这确实可能会引起大麻烦。Docker的安全仍不成熟，也许更糟。</p>
<p><strong>4. 并非适合每个人</strong></p>
<p>Docker的现状会要求用户具备比普通开发人员更多的系统管理知识/技巧来使用Docker。许多Docker文章声称使用场合简单，却忽视了在多主机系统上使用Docker的复杂性。这可能会误人子弟，好多人不知道在开发环境下运行Docker实际需要什么。</p>
<p>在开发环境下使用Docker实际上需要开发人员在系统管理方面具备扎实的基础，学习过程可能很困难。换句话说，这根本不如想象的来得简单。</p>
<p>管理生产环境下的Docker需要具备还要多的技能。必须认真考虑诸多变化因素，比如：管理容器日志及数据、多个主机之间的联系、私有映像库、在没有停机的情况下指导容器部署以及更多变数。</p>
<p><strong>5. 容器vs虚拟机</strong></p>
<p>没错，相比虚拟机，容器具有明显的优点：能够在服务器实例上运行多个服务器实例，又不会减慢运行速度。而这种速度可能以降低了稳定性、安全性和兼容性为代价。在内核和用户空间中运行不相兼容或未经测试的实例会导致意想不到的行为。</p>
<p>虚拟机管理程序的性能比以往任何时候都要高;按需配置的虚拟机日益变得速度越来越快，成本越来越低。虚拟化性能大不一样，具体取决于工作负载的类型;繁重密集的应用程序显然会导致性能较低。这种情况下，容器化是一种比较好的方法，但是你应该使用容器以满足具体情况下的要求，不然可能不值得为了速度提升而冒风险。</p>
<p>Docker在更容易、更高效地、更快速地包装和交付应用程序方面确实大有希望。不管怎样，缺点相当明显，与现代虚拟机相比更是如此。撇开所有批评的声音，Docker正致力于为未来应用开发不断改进和创新，它已经迎来了1.8版本，正有条不紊地解决这些问题。</p>
<p>本文作者：佚名</p>
<p>来源：51CTO</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-18 09:23:46</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%80%a7%e8%83%bd/" title="性能">性能</a>, <a href="https://www.iamivan.net/tag/%e6%9c%8d%e5%8a%a1%e5%99%a8/" title="服务器">服务器</a>, <a href="https://www.iamivan.net/tag/%e9%9b%86%e7%be%a4/" title="集群">集群</a>, <a href="https://www.iamivan.net/tag/%e5%ae%89%e5%85%a8/" title="安全">安全</a>, <a href="https://www.iamivan.net/tag/%e4%b8%bb%e6%9c%ba/" title="主机">主机</a>, <a href="https://www.iamivan.net/tag/%e6%93%8d%e4%bd%9c%e7%b3%bb%e7%bb%9f/" title="操作系统">操作系统</a>, <a href="https://www.iamivan.net/tag/%e5%bc%80%e5%8f%91%e7%8e%af%e5%a2%83/" title="开发环境">开发环境</a>, <a href="https://www.iamivan.net/tag/%e5%ae%b9%e5%99%a8/" title="容器">容器</a>, <a href="https://www.iamivan.net/tag/docker/" title="docker">docker</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>远离 Docker 的五大陷阱的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPZNn1b.html" rel="bookmark">影响企业安全运营中心运营的五大陷阱</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前任美国陆军网络司令部安全运营中心负责人就抵御攻击者入侵议题分享了他的经验与惨痛教训.&quot;从立场角度出发,负责运行紧急响应团队与扮演安全运营中心主管角色之间存在着显著差别.我将后者称为一种&quot;记者席&quot;类型的网络安全视角,而这一结论源自我在美国陆军网络司令部的安全运营中心担任负责人以及近来在FireHost公司担任CSO职务时积累到的所见所闻.&quot;在扮演上述角色的过程中,我的任务并非承担特定基础设施的安全保障工作,但这些工作经历却让我开始意识到大部分从业者在处理安全事务时采			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPB3X8b.html" rel="bookmark">拆穿骗局网购五大陷阱</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				淘宝.天猫.京东.亚马逊--随着互联网的普及,这些网上商城的名字越来越多的被人们所提及,不少人在网上购物的频率甚至已经超过了实体商城.然而,在网购给消费者带来便利的同时,一些不法分子也是蠢蠢欲动.数据显示,2011年,淘宝网共处理侵权商品信息6320万条,其中接受投诉受理的商品信息处理量为870万余条. 在网购时应该如何防骗,不让骗子有机可乘?在&quot;3.15消费者权益日&quot;这天,本报联合淘宝网,推出网购各个环节几种常见的网购骗局及防骗技巧,帮助消费者们实现安全网上消费. 正确区分安全邮件			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQW828p.html" rel="bookmark">企业同步共享实施的五大陷阱</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				当使用企业文件同步共享应用时,一些最大的障碍可能会在初始部署的过程中出现. 在你评估企业同步和共享工具时,应该考虑哪些问题可以帮助你保持对企业数据的控制并减少携带自己的应用(BYOA)的倾向?产品本身的特性和功能自然很重要,需求因用例不同而不同.但当组织专注于功能时往往会忽视来自一个领域的担忧:推出过程中所涉及到的各种挑战. 以下简短的列出了企业同步共享所涉及的各种陷阱,以及你能够采取的措施. 没有正式的政策和指南就跳到BYOD 这并不仅是企业同步和共享的特有挑战,但在你推出移动生产力应用时值得			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/boaZ2jp.html" rel="bookmark">关于大数据的五大陷阱</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				大数据庞大而又复杂.这不仅体现在信息的积累上,而且体现在其对经营策略的影响上.据IDC预测,2018年,全球业务分析开支将高达896亿美元.成功利用大数据已成为众多企业的关键要素,其中包括制定平台战略,无论它是&quot;数据中心&quot;,还是&quot;数据平台&quot;亦或是&quot;数据湖&quot;. 很多还未实施大数据项目的企业正在评估他们2016年的数据战略,其它公司则在审视它们现有的项目,探索利用分析改善经营和增加收入的新方法.事实上,大数据并不容易做到.据Gartner预测,直到2			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqqeJOM.html" rel="bookmark">短信欺诈五大陷阱</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.中奖型案例:&quot;尊敬的客户,××公司庆祝成立10周年庆典,您的手机号码中了二等奖,奖金××万元,兑奖热线××××××.&quot;揭秘:利用人们的贪利心理设计&quot;巨奖陷阱&quot;.2.银行卡消费型案例:&quot;银联卡务部通知:您×月×日在××店消费6800元,将在您的账户上扣除,已经确认.如有疑问,咨询电话××××××.&quot;揭秘:利用人们的恐慌心理设计迷局,逐步引入&quot;转账陷阱&quot;.3.&quot;六合彩&quot;透码型案例:屡次听到铃声,一接电话又挂			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pXqg35z.html" rel="bookmark">谁偷走了你的手机流量？揭秘五大流量陷阱</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				近日,安全研究及漏洞报告平台乌云网站发布安全警示,指出手机软件被篡改,乱弹广告后台偷跑流量的现象日趋严重,而关于手机有可能偷跑流量的消息在众多智能手机用户当中引发了不小的反响,有超过30%的网友反馈曾经出现手机偷跑流量的现象. 至于流量偷跑的原因,部分有一定手机知识基础的被访者称,会采用流量http://www.aliyun.com/zixun/aggregation/23101.html&quot;&gt;监控软件进行测试,发现偷跑流量的软件有很多是在第三方软件市场下载的,它们被黑客&quot;二次打包			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPBGovb.html" rel="bookmark">泡温泉变成洗澡网络团购陷阱多</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				■新快报记者 邹柳洲 通讯员 梁慧玲 目前,网络团购已成为年轻白领一族的时尚消费方式,各类团购网大幅增长.针对团购过程中容易出现的问题,近日,东莞市旅游局发出了网络团购旅游的消费警示.东莞市消委会也提醒消费者,目前网络团购旅游在服务质量.安全等方面存在着诸多问题,建议大家一定要选择值得信赖的团购网站和正规旅行社. 旅游团购问题多 近两年来,网络团购热潮相当火,各类团购网呈井喷式增长,不仅餐饮.百货可以&quot;团&quot;,酒店.机票.旅游都可以&quot;团&quot;.但这个过程中存在的隐患也不在			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0PXqmM.html" rel="bookmark">C&num;中COM操作&lpar;二&rpar; 接口查询</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				上一篇末留下的一个疑问这一回来作个解答吧.大家看了下面的图就清楚了: 结论就是t1,t2,t3是三个不同的引用,也就是说在.NET里面代表了三种不同的类型,但是三种类型的GUID却是一样的,因为在COM里GUID代表了一个COM类,只要GUID是一样的那么就表示是一个COM类,因此仅从COM类这一角度出发的话,这三种类型就是同一个COM类型. 第1种方式创建的COM对象的.NET包装的类型一般来说就是COM导入的.NET包装程序集里面对应声明的类型. 第2种方式创建的COM对象的.NET包装的类			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOWq8Qz.html" rel="bookmark">银监会建议对网上信用卡支付适度收费</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				中介交易 SEO诊断 淘宝客 云主机 技术大厅 本报讯 (记者 苏曼丽 实习生 陈芸) 3·15曝光的网上银行和网上支付的安全问题部分引起了监管层的注意.记者昨天从银行了解到,银监会在3月下旬已向各大银行下发了&lt;关于&quot;支付宝&quot;业务的风险提示&gt;,银监会&quot;建议对网上信用卡支付业务实行适度收费制度&quot;,&quot;一旦网上支付业务出现重大风险隐患,各行应停止与'支付宝'等第三方支付机构之间的业务合作.&quot; 银监会此次发文共提出五大风险,分别包括第三方支付			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1MvqYNb.html" rel="bookmark" class="title">wps鼠标快速选定内容的方法</a>
					<div>
						垂直选:将鼠标指针移动到待选定文本左上角的字符处,然后按下键盘上的Alt键,再按下鼠标左键不放,拖动鼠标指针到待选定文本右下角的字符处,松开鼠标即可竖向选定文本. 如图 击打选定:如表-1 选定对象  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMgOLEM.html" rel="bookmark" class="title">access数据库如何导入Oracle数据库</a>
					<div>
						首先打开 控制面板-管理工具-数据源 (ODBC),添加一个数据源驱动程序为Oracle的用户DNS,并添入Data Source.Server Name.user,测试一下是否连通. 然后,打开Ac ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vbQxYWz.html" rel="bookmark" class="title">Flash8 字体特效</a>
					<div>
						特效 学习此教程的全部源文件包,其中包含有textscript类 这里下载点击这里下载源文件     我想创建一个类用来管理和创建看起来费时又费力的字体效果制作过程,使用它可以允许我们轻松的创建自定义 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxPYKGM.html" rel="bookmark" class="title">UNIX环境高级编程：记录上锁（fcntl函数）以及死锁检测</a>
					<div>
						一.记录锁 record locking 功能:当一个进程正在读或修改文件的某个部分时,它可以阻止其它进程修改同一文件区. 字节范围锁 byte-range locking 二.历史 flock函数, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNEJ9yb.html" rel="bookmark" class="title">Spring的切入点（一 静态Pointcut）</a>
					<div>
						Pointcut即切入点,用于配置切面的切入位置.由于Spring中切入点的粒度是方法级,因此在Spring AOP中Pointcut的作用是配置哪些类中哪些方法在我们定义的且入点之内.哪些方法应该被 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLaWNWz.html" rel="bookmark" class="title">《从零开始学Swift》学习笔记（Day 71）&mdash;&mdash;Swift与C&sol;C&plus;&plus;混合编程之数据类型映射</a>
					<div>
						原创文章,欢迎转载.转载请注明:关东升的博客   如果引入必要的头文件,在Objective-C语言中可以使用C数据类型.而在Swift语言中是不能直接使用C数据类型,苹果公司为Swift语言提供与C ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq8xoab.html" rel="bookmark" class="title">android widget 点击事件问题</a>
					<div>
						问题描述 android widget 点击事件问题 一个简单的widget,点击后可以打开一个Activity. 但是当我把widget添加到桌面后,我去看了一会视频之后,然后再退出视频, 回头去点 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwxWN5b.html" rel="bookmark" class="title">无物理网络的情况下，通过自己的物理机上浏览器访问虚拟机中的绿色tomcat服务器页面</a>
					<div>
						问题描述 无物理网络的情况下,通过自己的物理机上浏览器访问虚拟机中的绿色tomcat服务器页面 如题,无物理网络的情况下,通过自己的物理机上浏览器访问虚拟机中的绿色tomcat服务器页面.请尽量详细  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7Yg9dM.html" rel="bookmark" class="title">给GridView写的adapter不显示数据，几个人都说没问题</a>
					<div>
						问题描述 给GridView写的adapter不显示数据,几个人都说没问题 gvGoods=(GridView) findViewById(R.id.gv_goods); context=this;  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN762Wp.html" rel="bookmark" class="title">C&num; 网络编程之基于SMTP发送电子邮件</a>
					<div>
						        本文主要讲述基于C#网络编程的发送邮件的编程,邮件发送功能是基于邮件协议的,常见的电子邮件协议有SMTP(简单邮件传输协议).POP3(邮局协议).IMAP(Internet邮件访问协 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJAjNVp.html" rel="bookmark" class="title">spark-socket producer scala</a>
					<div>
						问题描述 socket producer scala spark streaming 中如何使用socket做producer,求这个程序的scala版本					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkePqyb.html" rel="bookmark" class="title">联想RD650 Raid0 磁盘阵列怎么设置</a>
					<div>
						问题描述 联想RD650 Raid0 磁盘阵列怎么设置 求助 联想RD650 Raid0 磁盘阵列怎么设置 我每次都是引导不起来 解决方案 http://wenku.baidu.com/link?ur ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqR5NKp.html" rel="bookmark" class="title">redis 3&period;0集群-redis 3&period;0后的集群如何搭建session共享</a>
					<div>
						问题描述 redis 3.0后的集群如何搭建session共享 就是采用redis-trib.rb搭建的redis集群,如何在tomcat集群中配置起session共享? redis单点的:redis ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqRKVKp.html" rel="bookmark" class="title">卡了很长时间 asp&period;net 无法访问APPLET的JAR 包里的类 环境： IIS&plus;WIN2003</a>
					<div>
						问题描述 ASP+IIS+WIN2003APPLET小应用程序打包JAR文件首先排除路径标签格式等问题,因为我们的同事用JAVASCRIPT+TOMCAT试过可以访问.远程只会报错classnotfo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPBR3Ab.html" rel="bookmark" class="title">连接无处不在&mdash;&mdash;2016年中国国际信息通信展带你叩响未来世界的大门</a>
					<div>
						由工业和信息化部和中国国际贸易促进委员会主办.中国邮电器材集团公司和中国国际展览中心集团公司承办的&quot;2016年中国国际信息通信展览会(PT/EXPO CHINA 2016)&quot;将于9 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOJJw5p.html" rel="bookmark" class="title">PHP无限分类&lpar;树形类&rpar;的深入分析&lowbar;php实例</a>
					<div>
						PHP无限分类,Google一下就能找到很多相关资料,思路比较拉风的,也是用得比较多的就是分类表至少有id,pid,name三个字段,id自增表分类,pid为父分类,name为分类名,这样就构成了一棵 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8YE6Zz.html" rel="bookmark" class="title">radiobutton-小米2a&comma;2s上 RadioButton自定义点击效果，会有很宽的默认间距</a>
					<div>
						问题描述 小米2a,2s上 RadioButton自定义点击效果,会有很宽的默认间距 小米2a,2s上 RadioButton自定义点击效果,会有很宽的默认间距 遇到个很奇葩的问题,小米2a,2s上  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK5K2Ap.html" rel="bookmark" class="title">请教jfreechart怎么支持滚动条，就是X轴太长怎么通过滚动条查看？</a>
					<div>
						问题描述 求教大神指导必重谢! 解决方案 解决方案二:同问,求大神指导,LZ这个问题解决了吗?					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLgjNZM.html" rel="bookmark" class="title">SO&lowbar;LINGER和优雅关闭连接</a>
					<div>
						当调用closesocket关闭套接字时,SO_LINGER将决定系统如何处理残存在套接字发送队列中的数据.处理方式无非两种:丢弃或者将数据继续发送至对端,优雅关闭连接.事实上,SO_LINGER并不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAEGnJM.html" rel="bookmark" class="title">Java中List、Set、Map区别--小记</a>
					<div>
						三者异同 List,Set都是继承自Collection接口; List特点:元素有放入顺序,元素可重复; Set特点:元素无放入顺序,元素不可重复(注意:元素虽然无放入顺序,但是元素在set中的位置 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeoW08M.html" rel="bookmark" class="title">阿里云全球布局逾200个数据中心 设马来西亚数字孵化中心</a>
					<div>
						7月20日,阿里云和马拉西亚数字经济公司MDEC在吉隆坡宣布,双方将携手建立面向当地创新创业者的数字孵化中心(Digital Hub).该中心将为当地数字经济转型提供世界领先的云计算技术,助力当地科技 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyeoVPM.html" rel="bookmark" class="title">tomcat-Tomcat加载配置时加载到jdbc就停止加载</a>
					<div>
						问题描述 Tomcat加载配置时加载到jdbc就停止加载 信息: Initializing Spring root WebApplicationContext 2015-11-18 19:05:51, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4eaojb.html" rel="bookmark" class="title">急！急！急！寻Java高手</a>
					<div>
						问题描述 有国外的Java程序急需破解,费用优厚,有意者请发信到jameszhang7268@163.com,我会尽快联系你 解决方案 解决方案二:真明目张胆!解决方案三: 解决方案四:又是盗版侵权的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEKjoZp.html" rel="bookmark" class="title">百度开发者注册收发验证码失败</a>
					<div>
						问题描述 百度开发者注册收发验证码失败 今天,想注册百度开发者,结果填入手机号码后,提示Access token invalid or no longer valid.请问其他人有碰到这种情况吗?怎么 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mx0VvGM.html" rel="bookmark" class="title">项目中使用了ibatis、hibernate时，怎么来控制事务</a>
					<div>
						问题描述 现在的项目中使用了ibatis.hibernate然后在spring的配置文件里面配置&lt;beanid=&quot;txManager&quot;class=&quot;org.spri ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNv2WWM.html" rel="bookmark" class="title">Android实现圆形图片的两种方式&lowbar;Android</a>
					<div>
						在项目中,我们经常会用到圆形图片,但是android本身又没有提供,那我只能我们自己来完成. 第一种方式,自定义CircleImageView: public class CircleImageVie ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEYOOLb.html" rel="bookmark" class="title">我叫MT2试练塔60-69层怎么通关 60-69层推荐阵容通关攻略</a>
					<div>
						试练塔60-69层阵容搭配:哀木涕.大小姐.沉鱼.小奶长者.中奶怀特. 因为60-69层的怪物以物理怪物为主,并且实力比较强悍,所以对于紫卡也有着很高的要求.玩家们在挑战中需要注意,千万不要自动推塔, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8NLQ4b.html" rel="bookmark" class="title">浏览器窗口加载和大小改变事件示例&lowbar;javascript技巧</a>
					<div>
						复制代码 代码如下: window.onload = function() { var height = document.body.clientHeight; document.getElement ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr2GevM.html" rel="bookmark" class="title">SQL Server2005&OpenCurlyDoubleQuote;因为数据库正在使用，所以无法获得对数据库的独占访问权&rdquo;</a>
					<div>
						今天在使用SQL Server2005对某个数据库进行还原操作的时候,出现了如上图问题,经过多次反复尝试(包括关闭所有数据库连接.重启SQL Server服务.重启计算机)均以失败告终,很是郁闷,幸好 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3ZKxgz.html" rel="bookmark" class="title">存储过程 exec&lpar;&commat;sql&rpar;和exec sp&lowbar;executesql &commat;sql 有何区别</a>
					<div>
						问题描述 存储过程执行动态sql语句时结尾exec(@sql)和execsp_executesql@sql有何区别 解决方案 解决方案二:exec(@sql)单纯执行语句execsp_executes ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.030 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
